### Method

# FwupdPlugin Device set_poll_interval

#### Declaration [src]

    void
    fu_device_set_poll_interval (
      FuDevice* self,
      guint interval
    )

#### Description [src]

Polls the hardware every interval period. If the subclassed `->poll()` method returns `FALSE` then a warning is printed to the console and the poll is disabled until the next call to fu_device_set_poll_interval().

Available since: | 1.1.2

#### Parameters

`interval` | `guint`
| Duration in ms, or 0 to disable.